Subject: bug#25615: closed (Re: bug#25615: make -k check (expected failure))

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 21 Oct 2024 18:16:02 +0000

Your bug report

#25615: make -k check (expected failure)

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25615: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25615
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25615: make -k check (expected failure)
From: Ileana Dumitrescu <[email-masked]>
To: [email-masked]
Cc: Frederic Peugny <[email-masked]>
Date: Mon, 21 Oct 2024 21:14:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

You are right that there is no demo/ subdirectory, but the documentation
should be updated to remove all instances of it now. Users can generate
output from the Autotests by passing "--debug" or "-d" to make check
with the variable TESTSUITEFLAGS [1]. The test output can be found in
tests/testsuite.dir/<test_number>, where test_number is the test you
are debugging.

[1] 
https://git.savannah.gnu.org/cgit/libtool.git/commit/?id=2048edd2cba086b194bd30901e5fe552a4890680

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354

Subject: make -k check (expected failure)
From: Frederic Peugny <[email-masked]>
To: [email-masked]
Date: Fri, 3 Feb 2017 20:21:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,
I have installed libtool-2.4.6 from source (tar.gz)
I'm trying now to follow the steps of the howto "Using libtool" on the gnu
homepage. However I had to copy and paste the contents of the following
files from the libtool-2.4.6/tests/demo.at m4 script:
 + main.c
 + hello.c
 + foo.c
 + hell1.c
 + hell2.c
 + dlmain.c

because I cannot them directly nor a demo/ subdirectory.
The problem is that I can generate up to the libhello.la file but cannot go
further.
It must be related that all the tests steps of the 'make -k check' (see the
log in attachment) are declared as "(expected failure demo.at(xxx))".
Can see something I have missed in the installation?

-- 
Frédéric Peugny